| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CS::Memory::AllocatorMalloc Class Reference

A default memory allocator that allocates with cs_malloc(). More...

`#include <csutil/allocator.h>`

Inheritance diagram for CS::Memory::AllocatorMalloc:

[legend]
List of all members.

## Public Member Functions
void * | Alloc (const size_t n)
| Allocate a block of memory of size `n`.
void | Free (void *p)
| Free the block `p`.
void * | Realloc (void *p, size_t newSize)
| Resize the allocated block `p` to size `newSize`.
void | SetMemTrackerInfo (const char *info)
| Set the information used for memory tracking.

## Detailed Description

A default memory allocator that allocates with cs_malloc().

Definition at line 39 of file allocator.h.

## Member Function Documentation

void* CS::Memory::AllocatorMalloc::Alloc | ( | const size_t | n | ) | `[inline]`

Allocate a block of memory of size `n`.

Definition at line 50 of file allocator.h.

References cs_malloc().

Referenced by Realloc().

void CS::Memory::AllocatorMalloc::Free | ( | void * | p | ) | `[inline]`

Free the block `p`.

Definition at line 63 of file allocator.h.

References cs_free().

void* CS::Memory::AllocatorMalloc::Realloc | ( | void * | p,
|  | size_t | newSize |
| ) |  |  | `[inline]`

Resize the allocated block `p` to size `newSize`.

Definition at line 76 of file allocator.h.

References Alloc(), and cs_realloc().

void CS::Memory::AllocatorMalloc::SetMemTrackerInfo | ( | const char * | info | ) | `[inline]`

Set the information used for memory tracking.

Definition at line 93 of file allocator.h.

The documentation for this class was generated from the following file:

- csutil/allocator.h